#ifndef MARS_MGeomCamMagic
#define MARS_MGeomCamMagic

#ifndef MARS_MGeomCam
#include "MGeomCam.h"
#endif

class MGeomCamMagic : public MGeomCam
{
private:
    void CreateCam();
    void CreateNN();

public:
    MGeomCamMagic(const char *name=NULL);

    Bool_t HitFrame(MQuaternion p, const MQuaternion &u) const;

    ClassDef(MGeomCamMagic, 1)		// Geometry class for the Magic camera
};

#endif

